nf_v2compat.c File Reference
`#include <config.h>`
`#include <ctype.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include "netcdf.h"`
`#include "nfconfig.inc"`
Include dependency graph for nf_v2compat.c:

Go to the source code of this file.

## Macros

#define | NC_CLASSIC_MODEL 0

## Functions

size_t | v2data_size (nc_type datatype)
ptrdiff_t * | f2c_v2imap (int ncid, int varid, const int *fimap, ptrdiff_t *cimap)
| Convert a Version 2 Fortran IMAP vector into a Version 3 C imap vector. More...
static size_t | dimprod (const size_t *count, int rank)
void | c_ncpopt (int val)
void | c_ncgopt (int *val)
int | c_nccre (const char *pathname, int clobmode, int *rcode)
int | c_ncopn (const char *pathname, int rwmode, int *rcode)
int | c_ncddef (int ncid, const char *dimname, int dimlen, int *rcode)
int | c_ncdid (int ncid, const char *dimname, int *rcode)
int | c_ncvdef (int ncid, const char *varname, nc_type datatype, int ndims, int *dimids, int *rcode)
int | c_ncvid (int ncid, const char *varname, int *rcode)
int | c_nctlen (nc_type datatype, int *rcode)
void | c_ncclos (int ncid, int *rcode)
void | c_ncredf (int ncid, int *rcode)
void | c_ncendf (int ncid, int *rcode)
void | c_ncinq (int ncid, int *indims, int *invars, int *inatts, int *irecdim, int *rcode)
void | c_ncsnc (int ncid, int *rcode)
void | c_ncabor (int ncid, int *rcode)
void | c_ncdinq (int ncid, int dimid, char *dimname, int *size, int *rcode)
void | c_ncdren (int ncid, int dimid, const char *dimname, int *rcode)
void | c_ncvinq (int ncid, int varid, char *varname, nc_type *datatype, int *indims, int *dimarray, int *inatts, int *rcode)
void | c_ncvpt1 (int ncid, int varid, const size_t *indices, const void *value, int *rcode)
void | c_ncvp1c (int ncid, int varid, const size_t *indices, const char *value, int *rcode)
void | c_ncvpt (int ncid, int varid, const size_t *start, const size_t *count, const void *value, int *rcode)
void | c_ncvptc (int ncid, int varid, const size_t *start, const size_t *count, const char *value, int lenstr, int *rcode)
void | c_ncvptg (int ncid, int varid, const size_t *start, const size_t *count, const ptrdiff_t *strides, const ptrdiff_t *imap, const void *value, int *rcode)
void | c_ncvpgc (int ncid, int varid, const size_t *start, const size_t *count, const ptrdiff_t *strides, const ptrdiff_t *imap, const char *value, int *rcode)
void | c_ncvgt1 (int ncid, int varid, const size_t *indices, void *value, int *rcode)
void | c_ncvg1c (int ncid, int varid, const size_t *indices, char *value, int *rcode)
void | c_ncvgt (int ncid, int varid, const size_t *start, const size_t *count, void *value, int *rcode)
void | c_ncvgtc (int ncid, int varid, const size_t *start, const size_t *count, char *value, int lenstr, int *rcode)
void | c_ncvgtg (int ncid, int varid, const size_t *start, const size_t *count, const ptrdiff_t *strides, const ptrdiff_t *imap, void *value, int *rcode)
void | c_ncvggc (int ncid, int varid, const size_t *start, const size_t *count, const ptrdiff_t *strides, const ptrdiff_t *imap, char *value, int *rcode)
void | c_ncvren (int ncid, int varid, const char *varname, int *rcode)
void | c_ncapt (int ncid, int varid, const char *attname, nc_type datatype, size_t attlen, const void *value, int *rcode)
void | c_ncaptc (int ncid, int varid, const char *attname, nc_type datatype, size_t attlen, const char *value, int *rcode)
void | c_ncainq (int ncid, int varid, const char *attname, nc_type *datatype, int *attlen, int *rcode)
void | c_ncagt (int ncid, int varid, const char *attname, void *value, int *rcode)
void | c_ncagtc (int ncid, int varid, const char *attname, char *value, int attlen, int *rcode)
void | c_ncacpy (int inncid, int invarid, const char *attname, int outncid, int outvarid, int *rcode)
void | c_ncanam (int ncid, int varid, int attnum, char *attname, int *rcode)
void | c_ncaren (int ncid, int varid, const char *attname, const char *newname, int *rcode)
void | c_ncadel (int ncid, int varid, const char *attname, int *rcode)
int | c_ncsfil (int ncid, int fillmode, int *rcode)

## Macro Definition Documentation

## NC_CLASSIC_MODEL

#define NC_CLASSIC_MODEL 0

Definition at line 57 of file nf_v2compat.c.

## Function Documentation

## c_ncabor()

void c_ncabor | ( | int | ncid,
|  | int * | rcode
| ) |  |

Definition at line 563 of file nf_v2compat.c.

## c_ncacpy()

void c_ncacpy | ( | int | inncid,
|  | int | invarid,
|  | const char * | attname,
|  | int | outncid,
|  | int | outvarid,
|  | int * | rcode
| ) |  |

Definition at line 1755 of file nf_v2compat.c.

## c_ncadel()

void c_ncadel | ( | int | ncid,
|  | int | varid,
|  | const char * | attname,
|  | int * | rcode
| ) |  |

Definition at line 1809 of file nf_v2compat.c.

## c_ncagt()

void c_ncagt | ( | int | ncid,
|  | int | varid,
|  | const char * | attname,
|  | void * | value,
|  | int * | rcode
| ) |  |

Definition at line 1617 of file nf_v2compat.c.

## c_ncagtc()

void c_ncagtc | ( | int | ncid,
|  | int | varid,
|  | const char * | attname,
|  | char * | value,
|  | int | attlen,
|  | int * | rcode
| ) |  |

Definition at line 1706 of file nf_v2compat.c.

## c_ncainq()

void c_ncainq | ( | int | ncid,
|  | int | varid,
|  | const char * | attname,
|  | nc_type * | datatype,
|  | int * | attlen,
|  | int * | rcode
| ) |  |

Definition at line 1598 of file nf_v2compat.c.

## c_ncanam()

void c_ncanam | ( | int | ncid,
|  | int | varid,
|  | int | attnum,
|  | char * | attname,
|  | int * | rcode
| ) |  |

Definition at line 1775 of file nf_v2compat.c.

## c_ncapt()

void c_ncapt | ( | int | ncid,
|  | int | varid,
|  | const char * | attname,
|  | nc_type | datatype,
|  | size_t | attlen,
|  | const void * | value,
|  | int * | rcode
| ) |  |

Definition at line 1481 of file nf_v2compat.c.

## c_ncaptc()

void c_ncaptc | ( | int | ncid,
|  | int | varid,
|  | const char * | attname,
|  | nc_type | datatype,
|  | size_t | attlen,
|  | const char * | value,
|  | int * | rcode
| ) |  |

Definition at line 1567 of file nf_v2compat.c.

## c_ncaren()

void c_ncaren | ( | int | ncid,
|  | int | varid,
|  | const char * | attname,
|  | const char * | newname,
|  | int * | rcode
| ) |  |

Definition at line 1792 of file nf_v2compat.c.

## c_ncclos()

void c_ncclos | ( | int | ncid,
|  | int * | rcode
| ) |  |

Definition at line 486 of file nf_v2compat.c.

## c_nccre()

int c_nccre | ( | const char * | pathname,
|  | int | clobmode,
|  | int * | rcode
| ) |  |

Definition at line 289 of file nf_v2compat.c.

## c_ncddef()

int c_ncddef | ( | int | ncid,
|  | const char * | dimname,
|  | int | dimlen,
|  | int * | rcode
| ) |  |

Definition at line 364 of file nf_v2compat.c.

## c_ncdid()

int c_ncdid | ( | int | ncid,
|  | const char * | dimname,
|  | int * | rcode
| ) |  |

Definition at line 389 of file nf_v2compat.c.

## c_ncdinq()

void c_ncdinq | ( | int | ncid,
|  | int | dimid,
|  | char * | dimname,
|  | int * | size,
|  | int * | rcode
| ) |  |

Definition at line 578 of file nf_v2compat.c.

## c_ncdren()

void c_ncdren | ( | int | ncid,
|  | int | dimid,
|  | const char * | dimname,
|  | int * | rcode
| ) |  |

Definition at line 601 of file nf_v2compat.c.

## c_ncendf()

void c_ncendf | ( | int | ncid,
|  | int * | rcode
| ) |  |

Definition at line 514 of file nf_v2compat.c.

## c_ncgopt()

void c_ncgopt | ( | int * | val | ) |

Definition at line 275 of file nf_v2compat.c.

## c_ncinq()

void c_ncinq | ( | int | ncid,
|  | int * | indims,
|  | int * | invars,
|  | int * | inatts,
|  | int * | irecdim,
|  | int * | rcode
| ) |  |

Definition at line 528 of file nf_v2compat.c.

## c_ncopn()

int c_ncopn | ( | const char * | pathname,
|  | int | rwmode,
|  | int * | rcode
| ) |  |

Definition at line 321 of file nf_v2compat.c.

## c_ncpopt()

void c_ncpopt | ( | int | val | ) |

Definition at line 264 of file nf_v2compat.c.

## c_ncredf()

void c_ncredf | ( | int | ncid,
|  | int * | rcode
| ) |  |

Definition at line 500 of file nf_v2compat.c.

## c_ncsfil()

int c_ncsfil | ( | int | ncid,
|  | int | fillmode,
|  | int * | rcode
| ) |  |

Definition at line 1825 of file nf_v2compat.c.

## c_ncsnc()

void c_ncsnc | ( | int | ncid,
|  | int * | rcode
| ) |  |

Definition at line 547 of file nf_v2compat.c.

## c_nctlen()

int c_nctlen | ( | nc_type | datatype,
|  | int * | rcode
| ) |  |

Definition at line 468 of file nf_v2compat.c.

## c_ncvdef()

int c_ncvdef | ( | int | ncid,
|  | const char * | varname,
|  | nc_type | datatype,
|  | int | ndims,
|  | int * | dimids,
|  | int * | rcode
| ) |  |

Definition at line 412 of file nf_v2compat.c.

## c_ncvg1c()

void c_ncvg1c | ( | int | ncid,
|  | int | varid,
|  | const size_t * | indices,
|  | char * | value,
|  | int * | rcode
| ) |  |

Definition at line 1139 of file nf_v2compat.c.

## c_ncvggc()

void c_ncvggc | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | count,
|  | const ptrdiff_t * | strides,
|  | const ptrdiff_t * | imap,
|  | char * | value,
|  | int * | rcode
| ) |  |

Definition at line 1420 of file nf_v2compat.c.

## c_ncvgt()

void c_ncvgt | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | count,
|  | void * | value,
|  | int * | rcode
| ) |  |

Definition at line 1178 of file nf_v2compat.c.

## c_ncvgt1()

void c_ncvgt1 | ( | int | ncid,
|  | int | varid,
|  | const size_t * | indices,
|  | void * | value,
|  | int * | rcode
| ) |  |

Definition at line 1049 of file nf_v2compat.c.

## c_ncvgtc()

void c_ncvgtc | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | count,
|  | char * | value,
|  | int | lenstr,
|  | int * | rcode
| ) |  |

Definition at line 1268 of file nf_v2compat.c.

Here is the call graph for this function:

## c_ncvgtg()

void c_ncvgtg | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | count,
|  | const ptrdiff_t * | strides,
|  | const ptrdiff_t * | imap,
|  | void * | value,
|  | int * | rcode
| ) |  |

Definition at line 1313 of file nf_v2compat.c.

## c_ncvid()

int c_ncvid | ( | int | ncid,
|  | const char * | varname,
|  | int * | rcode
| ) |  |

Definition at line 444 of file nf_v2compat.c.

## c_ncvinq()

void c_ncvinq | ( | int | ncid,
|  | int | varid,
|  | char * | varname,
|  | nc_type * | datatype,
|  | int * | indims,
|  | int * | dimarray,
|  | int * | inatts,
|  | int * | rcode
| ) |  |

Definition at line 618 of file nf_v2compat.c.

## c_ncvp1c()

void c_ncvp1c | ( | int | ncid,
|  | int | varid,
|  | const size_t * | indices,
|  | const char * | value,
|  | int * | rcode
| ) |  |

Definition at line 727 of file nf_v2compat.c.

## c_ncvpgc()

void c_ncvpgc | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | count,
|  | const ptrdiff_t * | strides,
|  | const ptrdiff_t * | imap,
|  | const char * | value,
|  | int * | rcode
| ) |  |

Definition at line 1004 of file nf_v2compat.c.

## c_ncvpt()

void c_ncvpt | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | count,
|  | const void * | value,
|  | int * | rcode
| ) |  |

Definition at line 759 of file nf_v2compat.c.

## c_ncvpt1()

void c_ncvpt1 | ( | int | ncid,
|  | int | varid,
|  | const size_t * | indices,
|  | const void * | value,
|  | int * | rcode
| ) |  |

Definition at line 639 of file nf_v2compat.c.

## c_ncvptc()

void c_ncvptc | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | count,
|  | const char * | value,
|  | int | lenstr,
|  | int * | rcode
| ) |  |

Definition at line 849 of file nf_v2compat.c.

Here is the call graph for this function:

## c_ncvptg()

void c_ncvptg | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | count,
|  | const ptrdiff_t * | strides,
|  | const ptrdiff_t * | imap,
|  | const void * | value,
|  | int * | rcode
| ) |  |

Definition at line 896 of file nf_v2compat.c.

## c_ncvren()

void c_ncvren | ( | int | ncid,
|  | int | varid,
|  | const char * | varname,
|  | int * | rcode
| ) |  |

Definition at line 1464 of file nf_v2compat.c.

## dimprod()

static size_t dimprod | ( | const size_t * | count,
|  | int | rank
| ) |  |

static

Definition at line 248 of file nf_v2compat.c.

## f2c_v2imap()

ptrdiff_t* f2c_v2imap | ( | int | ncid,
|  | int | varid,
|  | const int * | fimap,
|  | ptrdiff_t * | cimap
| ) |  |

Convert a Version 2 Fortran IMAP vector into a Version 3 C imap vector.

Definition at line 139 of file nf_v2compat.c.

## v2data_size()

size_t v2data_size | ( | nc_type | datatype | ) |

Definition at line 77 of file nf_v2compat.c.

Return to the Main Unidata NetCDF page.